> ## Documentation Index
> Fetch the complete documentation index at: https://plainrouter.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Discover the zero-auth sandbox

> Returns a ready-to-run synthetic event example. The sandbox requires no account or API key and cannot read production data, persist events, or contact an advertising provider.



## OpenAPI

````yaml https://plainrouter.com/openapi.json get /sandbox
openapi: 3.1.0
info:
  title: PlainRouter Conversion API
  version: 0.5.0
  description: PlainRouter public Signals Conversion API.
servers:
  - url: https://plainrouter.com/api/v1
    description: Production
security:
  - signalTrackerSecret: []
paths:
  /sandbox:
    get:
      tags:
        - Sandbox
      summary: Discover the zero-auth sandbox
      description: >-
        Returns a ready-to-run synthetic event example. The sandbox requires no
        account or API key and cannot read production data, persist events, or
        contact an advertising provider.
      operationId: getSandbox
      responses:
        '200':
          description: Sandbox capabilities and a ready-to-run example.
          content:
            application/json:
              schema:
                type: object
                properties:
                  environment:
                    type: string
                  authentication_required:
                    type: boolean
                  account_required:
                    type: boolean
                  production_data:
                    type: boolean
                  persists_data:
                    type: boolean
                  provider_delivery:
                    type: boolean
                  description:
                    type: string
                  self_serve_key:
                    type: object
                    properties:
                      method:
                        type: string
                      url:
                        type: string
                      authentication_required:
                        type: boolean
                      description:
                        type: string
                      issued_key:
                        type: object
                        properties:
                          api_key:
                            type: string
                          token_type:
                            type: string
                          expires_in:
                            type: integer
                          expires_at:
                            type: string
                          scope:
                            type: string
                          production_access:
                            type: boolean
                          use:
                            type: object
                            properties:
                              method:
                                type: string
                              url:
                                type: string
                              authorization:
                                type: string
                            required:
                              - method
                              - url
                              - authorization
                        required:
                          - api_key
                          - token_type
                          - expires_in
                          - expires_at
                          - scope
                          - production_access
                          - use
                    required:
                      - method
                      - url
                      - authentication_required
                      - description
                      - issued_key
                  try:
                    type: object
                    properties:
                      method:
                        type: string
                      url:
                        type: string
                      content_type:
                        type: string
                      body:
                        type: object
                        properties:
                          event_id:
                            type: string
                          event_name:
                            type: string
                          action_source:
                            type: string
                          value_data:
                            type: object
                            properties:
                              value:
                                type: string
                              currency:
                                type: string
                              order_id:
                                type: string
                            required:
                              - value
                              - currency
                              - order_id
                        required:
                          - event_id
                          - event_name
                          - action_source
                          - value_data
                    required:
                      - method
                      - url
                      - content_type
                      - body
                required:
                  - environment
                  - authentication_required
                  - account_required
                  - production_data
                  - persists_data
                  - provider_delivery
                  - description
                  - self_serve_key
                  - try
          headers:
            Access-Control-Allow-Origin:
              schema:
                type: string
                const: '*'
            Cache-Control:
              schema:
                type: string
                const: no-store, private
            X-Content-Type-Options:
              schema:
                type: string
                const: nosniff
      security: []
components:
  securitySchemes:
    signalTrackerSecret:
      type: http
      description: >-
        Per-tracker bearer secret. It authenticates only the Signal tracker
        represented by the credential.
      scheme: bearer

````